Summary: A small collection of programs that operate on patch files
Name: patchutils
Version: 0.4.2
Release: 5%{?dist}
License: GPLv2+
URL: http://cyberelk.net/tim/%{name}/
Source0: http://cyberelk.net/tim/data/%{name}/stable/%{name}-%{version}.tar.xz

BuildRequires: gcc make autoconf automake
BuildRequires: xmlto
Requires: patch
Provides: interdiff

%description
Patchutils is a small collection of programs that operate on patch files.
Interdiff generates an incremental patch from two patches against a common
source. For example, if you have applied a pre-patch to a source tree, and
wish to apply another pre-patch (which is against the same original source 
tree), you can use interdiff to generate the patch that you need to apply. 
You can also use this to review changes between two pre-patches.


%prep
%autosetup


%build
%configure
%make_build


%install
%make_install


%check
%make_build check


%files
%license COPYING
%doc AUTHORS README ChangeLog NEWS BUGS 
%{_bindir}/*
%{_mandir}/man1/*.1.gz


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.2-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.2-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jul 21 2022 doriscchao <doriscchao@tencent.com> - 0.4.2-1
- initial build, Version 0.4.2, Release 1
